Bug 449793 - KPPP is unable to add DNS entries to /etc/resolv.conf
KPPP is unable to add DNS entries to /etc/resolv.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 12:07 EDT by Hedayat Vatankhah
Modified: 2015-07-13 13:35 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.0.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 00:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2008-06-03 12:07:01 EDT
Description of problem:
I've configured some dial-up connections with kppp. They are configured to get
the DNS servers automatically. I will be connected to my ISP but I can't resolve
domain names since there is no entry in /etc/resolv.conf

How reproducible:
Always


Steps to Reproduce:
1.Create a new dial-up connection in KPPP with automatic DNS configuration
(Well, this is impossible in Fedora 9 since KPPP freezes when trying to create a
new connection. Fortunately I had some connections configured inside my old
Fedora 8. This is another bug which I hope to be fixed in recent updates of
kdenetwork.
2. Connect to Internet
3. open a browser and try to visit fedoraproject.org
  
Actual results:
The browser is unable to lookup fedoraproject.org

Expected results:
You should be able to connect to any host using its domain name.

Additional info:
I found the problem: KPPP tries to get the DNS addresses from
/etc/ppp/resolv.conf which is not present in Fedora 9. So, it is unable to add
DNS server entries to /etc/resolv.conf. However the standard path which pppd
uses to store DNS addresses is /var/run/ppp/resolv.conf.
So, as a workaround it is enough to do a:
ln -s /var/run/ppp/resolv.conf /etc/ppp/resolv.conf

However the actual fix is to modify KPPP to read /var/run/ppp/resolv.conf
instead of /etc/ppp/resolv.conf

Thanks,
Hedayat
Comment 1 Fedora Update System 2008-06-04 21:31:34 EDT
kdenetwork-4.0.5-2.fc9,kdebase-runtime-4.0.5-1.fc9,kdemultimedia-4.0.5-1.fc9,kdebase-workspace-4.0.5-1.fc9,kdeadmin-4.0.5-1.fc9,kdeutils-4.0.5-1.fc9,kdesdk-4.0.5-2.fc9,kdelibs-4.0.5-1.fc9,kdegames-4.0.5-1.fc9,kdeaccessibility-4.0.5-1.fc9,kdepimlibs-4.0.5-1.fc9,kde-l10n-4.0.5-1.fc9,kdeedu-4.0.5-1.fc9,kdebase-4.0.5-2.fc9,kdeartwork-4.0.5-2.fc9,qt-4.3.5-1.fc9,kdebindings-4.0.5-2.fc9,kdetoys-4.0.5-1.fc9,kdegraphics-4.0.5-1.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-06-06 03:47:28 EDT
kdeartwork-4.0.5-2.fc9, kdetoys-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdeaccessibility-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9, kdegraphics-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeutils-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdebase-4.0.5-3.fc9, qt-4.3.5-1.fc9, kdenetwork-4.0.5-3.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-workspace-4.0.5-1.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, kdelibs-4.0.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeartwork kdetoys kdegames kdeaccessibility kdeedu kdebindings kdegraphics kdebase-runtime kdeutils kdepimlibs kde-l10n kdebase qt kdenetwork kdemultimedia kdebase-workspace kdeadmin kdesdk kdelibs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4988
Comment 3 Fedora Update System 2008-06-11 00:37:15 EDT
kdeutils-4.0.5-1.fc9, kdelibs-4.0.5-2.fc9, kdebase-4.0.5-3.fc9, kdeaccessibility-4.0.5-1.fc9, kdeartwork-4.0.5-2.fc9, kdenetwork-4.0.5-3.fc9, kdebase-workspace-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdetoys-4.0.5-1.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, qt-4.3.5-1.fc9, kdegraphics-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-07-26 01:58:38 EDT
kdeutils-4.0.5-1.fc9, kdelibs-4.0.5-2.fc9, kdebase-4.0.5-3.fc9, kdeaccessibility-4.0.5-1.fc9, kdeartwork-4.0.5-2.fc9, kdenetwork-4.0.5-3.fc9, kdebase-workspace-4.0.5-1.fc9, kde-l10n-4.0.5-1.fc9, kdeedu-4.0.5-1.fc9, kdetoys-4.0.5-1.fc9, kdemultimedia-4.0.5-1.fc9, kdebase-runtime-4.0.5-2.fc9, kdeadmin-4.0.5-1.fc9, kdesdk-4.0.5-2.fc9, qt-4.3.5-1.fc9, kdegraphics-4.0.5-1.fc9, kdegames-4.0.5-1.fc9, kdepimlibs-4.0.5-1.fc9, kdebindings-4.0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.